PRO TIME,UP
;+
; NAME:        TIME
; PURPOSE:     To time stamp a plot at bottom left or top right corner
; CATEGORY:    MPA Plotting software
; CALLING SEQUENCE:  TIME [,UP]
; INPUTS:      NONE mandatory
; OPTIONAL INPUT PARAMETERS:  If UP is defined (> 0), the time stamp is
;                             put at TR corner
; OUTPUTS:     Writes SYSTIME at BL or TR corner. The user name is also
;              included in this text
; PROCEDURE:   Uses XYOUTS with /NORMAL qualifier to time and author stamp a plot
; MODIFICATION HISTORY:
;     Written:    HUGHES, July 10, 1990.
;     Modified:   Creutzberg  3-JUL-1991 20:19:10.00
;     Modified:   Grant, UWO, 10 Sep 1993. Changed to pure IDL code.
;                 Call to GET_JPI replaced by GETENV('USER').
;                 IDL1 system variable !STIME replaced by SYSTIME().
;-

   bottom = n_params(0) eq 0

   if bottom then begin
      x=0.01 & y=0.01
   endif else begin
      x=0.70 & y=0.975
   endelse

   xyouts, x, y, 'Plotted: '+systime(),size=.6, /normal

   return
   END
