;+
; NAME:
;	IFG_DEFINITIONS
; PURPOSE:
;	Creates IDL and VMS definitions needed by Ian Grant's IDL2 software.
; CALLING SEQUENCE:
;	To use Ian Grant's software, include the line
;	   IFG_DEFINITIONS
;	in your STARTUP.PRO.
;	Also, insert into your definition of the VMS logical IDL_PATH (in your
;	LOGIN.COM): "+DAN$:[GRANT.IDL]" and "MARIA$SOFT:MARIA_IDL2_2.TLB" (now 
;	"MAR$IDL$DAN:MARIA_IDL.TLB"), in that 
;	order.
; INPUTS:
;	None.
; SIDE EFFECTS:
;	Creates some IDL system variables and some VMS logical names.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, 26 Aug 1991.
;	IFG, 23 Dec 1992: Added ON_ERROR.
;	IFG,  1 Feb 1993: Removed definitions of !STYLE, !H.
;	IFG,  4 Feb 1993: Removed logicals for include files.
;-

pro ifg_definitions

on_error, 2
;
; ====================
; IDL system variables
; ====================
;
defsysv, '!false',0b,1
defsysv, '!true', 1b,1

return
end
