;+
; NAME:
;	MONTH_NUMBER
; PURPOSE:
;	Returns month number corresponding to a three-letter month string.
; CALLING SEQUENCE:
;	Result = MONTH_STRING( STRING )
; INPUTS:
;	STRING = scalar string naming a month. Case is ignored. Only the first 
;	three letters are used, and they must be one of the following to be
;	recognized:
;	   JAN FEB MAR APR MAY JUN JUL AUG SEP OCT NOV DEC
; OUTPUTS:
;	Result = scalar integer. 1=jan, ..., 12=dec. 0 for invalid argument.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, 23 Apr 1991: Runs under IDL2.
;-

function month_number, month_string

on_error, 2
months = 'JAN/FEB/MAR/APR/MAY/JUN/JUL/AUG/SEP/OCT/NOV/DEC/'
pos = strpos(months,strupcase(strmid(month_string+'   ',0,3))+'/')
if pos ge 0 then $
   return, pos/4 + 1 $
else $
   return, 0
end
