;+
; NAME:
;	PORTRAIT
; PURPOSE:
;	Ensure current X window is portrait style (512*640 device units).
; CALLING SEQUENCE:
;	PORTRAIT
; INPUTS:
;	None.
; SIDE EFFECTS:
;	Deletes current window if it is landscape.
; RESTRICTIONS:
;	Routine supports only X window as screen device (?).
; PROCEDURE:
;	Window index will be the same as that of current window, or 0 if none 
;	current. No action if current window is already portrait.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, 16-Aug-1991, IDL2.
;	IFG, 23 Dec 1992: Added ON_ERROR.
;-

pro portrait

on_error, 2
if (!d.window lt 0) or ((!d.window ge 0) and (!d.x_size gt !d.y_size)) then $
   case !d.name of
      'X':  window, (!d.window > 0), retain=2, xsize=512, ysize=640
      else: dummy = 0    ;%% message, 'Routine supports only X window as screen device'
      endcase

return
end
