;+
; NAME:
;	STRMIDEND
; PURPOSE:
;	Return substring from middle to end of argument string.
;	Like STRMID but with first two parameters only.
; CALLING SEQUENCE:
;	Result = STRMID( STR, POS )
; INPUTS:
;	STR = String. Expression from which the substring is to be extracted.
;	POS = Integer scalar. Starting position of substring. First character
;	   of STR is position 0.
; OUTPUTS:
;	Result = Substring from position POS of STR to end of STR.
; RESTRICTIONS:
;	STR must be a scalar string.
; PROCEDURE:
;	Uses STRLEN, STRMID.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRC, 1990.
;	IFG, 29 April 1991, Converted to IDL2.
;	IFG, 24 Dec 1992, Added ON_ERROR.
;-

function strmidend, str,pos

on_error, 2
if n_params(0) ne 2 then message, 'Must have 2 parameters'
return, strmid(str,pos,strlen(str)-pos)
end
