;+
; NAME:
;	STRRIGHT
; PURPOSE:
;	Return the rightmost characters of a string.
;	Return substring from middle to end of argument string.
;	Like STRMID but with first two parameters only.
; CALLING SEQUENCE:
;	Result = STRRIGHT( STR, N )
; INPUTS:
;	STR = String. Expression from which the substring is to be extracted.
;	N = Integer scalar. Length of substring to be extracted.
; OUTPUTS:
;	Result = Substring consisting of the last N characters of string STR,
;	   or STR if len(STR) < N.
; RESTRICTIONS:
;	STR must be a scalar string.
; PROCEDURE:
;	Uses STRLEN, STRMIDEND.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, Apr 1991, IDL2.
;	IFG,  8 Feb 1993: Added ON_ERROR.
;-

function strright, str, n

on_error, 2
return, strmidend(str, (strlen(str)-n) > 0)
end
