;+
; NAME:
;	VECT3_DOT
; PURPOSE:
;	Returns inner or dot product of two 3-component vectors.
; CALLING SEQUENCE:
;	Result = VECT3_DOT(V1,V2)
; INPUTS:
;	V1, V2 = 3-element vectors.
; OUTPUTS:
;	Result = floating scalar. Dot product of V1 and V2.
; RESTRICTIONS:
;	Vectors must have 3 elements.
; PROCEDURE:
;	v1 . v2 = a1*a2 + b1*b2 + c1*c2
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, Aug 1990: Written.
;	IFG, 6 May 1991: IDL1? Looks like this will run under IDL2.
;-

function vect3_dot,v1,v2

	on_error,2                      ;Return to caller if an error occurs
	return, total(v1*v2)
end
